<?php

namespace App\Mail\Ingles;

use App\RF_AlumnoLiberacionView;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class Liberacion extends Mailable
{
    use Queueable, SerializesModels;
    public $alumno;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(RF_AlumnoLiberacionView $alumno)
    {
        $this->alumno = $alumno;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Instituto Tecnológico de Zitácuaro - Examen de Liberación')
                    ->view('mail.ingles.liberacion');
    }
}
